Bug 6899 - Inaccurate active counts and listings for reviewers, copyeditors, layout editors, and proofreaders
Inaccurate active counts and listings for reviewers, copyeditors, layout edit...
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Reviewers
2.4.x
All All
: P3 normal
Assigned To: Jason Nugent
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 21:12 PDT by Michael Felczak
Modified: 2013-09-18 07:35 PDT (History)
7 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
getReviewerSubmissionsByReviewerId SQL patch (1.23 KB, application/octet-stream)
2013-07-03 13:58 PDT, Chris MacDonald
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Felczak 2011-09-22 21:12:10 PDT
If a review is not fully completed -- e.g. reviewer sends review via email, doesn't select a review decision, etc. -- the review will remain active even if the corresponding submission is archived, declined, or published.

These submissions continue to be listed on the reviewer's active reviews page as well as show up in the active reviews counts when editors assign reviewers.

Move these reviews to the reviewer's archive listing and update active review counts to exclude submissions that are no longer under review.
Comment 1 Alec Smecher 2011-09-23 01:01:08 PDT
Probably a good idea to go over all submission lists and make sure a consistent status check is done on them (e.g. for copyeditors, layout editors, ...)
Comment 2 Jason Nugent 2013-02-11 10:25:02 PST
fix review assignment totals when article is no longer under review
https://github.com/pkp/ojs/commit/f73af93c0af7d0a2cc5231745f83079adb887cd6
Comment 3 Jason Nugent 2013-02-11 10:30:02 PST
fix review assignment totals when article is no longer under review
https://github.com/pkp/ojs/commit/a6b76df0b0a5289e15c89ee29bdeeb2204809409
Comment 4 Michael Felczak 2013-02-13 16:31:03 PST
Thanks Jason.

This looks ready to close off -- have you checked OCS to see if we need a fix there as well?
Comment 5 Jason Nugent 2013-02-27 09:55:01 PST
classes/submission/reviewer/ReviewerSubmissionDAO.inc.php
https://github.com/pkp/ocs/commit/53497fe7f8c4631ae8968967137fcd7f4f5cd461
Comment 6 Jason Nugent 2013-02-27 09:57:27 PST
With the exception of my horked commit message, this has now been ported to OCS 2.3 and master.
Comment 7 Jason Nugent 2013-02-27 10:00:02 PST
fix review assignment totals when article is no longer under review
https://github.com/pkp/ocs/commit/52e10998fd95ac694f8e2735ba652e791ee093de
Comment 8 James MacGregor 2013-04-30 15:05:37 PDT
Can this one be closed?
Comment 9 Chris MacDonald 2013-07-03 13:58:43 PDT
Created attachment 3942 [details]
getReviewerSubmissionsByReviewerId SQL patch
Comment 10 Chris MacDonald 2013-07-03 13:59:36 PDT
I've just added a patch here as the last commit introduced a small bug we've just picked up on via a hosted client.
Comment 11 Michael Felczak 2013-09-03 16:01:59 PDT
Hi Jason, can you please review Chris's patch?
Comment 12 Jason Nugent 2013-09-04 05:28:25 PDT
Chris, was this patch meant to be applied after some other modifications?  You use a 'p.status' in your where clause, and I can't see a table in a join with that alias.
Comment 13 Jason Nugent 2013-09-18 07:34:01 PDT
fix for previous commit (thanks Chris)
https://github.com/pkp/ocs/commit/47b6e99a9165254279411d06f93a0999ad8bee73
Comment 14 Jason Nugent 2013-09-18 07:34:35 PDT
Closing -- Chris' patch fixes something I introduced in my last patch.  Ported to OCS master and stable.  Thanks Chris!
Comment 15 Jason Nugent 2013-09-18 07:35:01 PDT
fix for previous commit (thanks Chris)
https://github.com/pkp/ocs/commit/063895d0808057923c0c01b6c5fca3d3b0e013a1